### Function

# Fwupd Remote kind_from_string

since: 0.9.6

#### Declaration [src]

    FwupdRemoteKind
    fwupd_remote_kind_from_string (
      const gchar* kind
    )

#### Description [src]

Converts an printable string to an enumerated type.

Available since: 0.9.6

#### Parameters

`kind`

  Type: `const gchar*`

  A string, e.g. `download`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdRemoteKind`

A `FwupdRemoteKind`, e.g. `FWUPD_REMOTE_KIND_DOWNLOAD`.